﻿using Discord;
using Discord.Commands;
using System.Threading.Tasks;

namespace Sean.Modules
{
    public class PingModule : ModuleBase<SocketCommandContext>
    {
        #region Methods
        [Command("ping")]
        [Summary("Ping pong !")]
        public Task PongAsync() => ReplyAsync("Pong !");

        [Command("hey")]
        [Summary("Asks for a private channel with the bot")]
        [Alias("listen")]
        public async Task HeyAsync()
        {
            IDMChannel channel = await Context.User.GetOrCreateDMChannelAsync();
            await channel.SendMessageAsync("Your command, master ?");
            await ReplyAsync("Jude !");
        }
        #endregion Methods
    }
}